Item Logo
Wms apiApi referenceInventory query api

Inventory Adjustment Query

Inventory Adjustment Query API

Inventory Adjustment Query API is designed to return records related to inventory adjustment within a warehouse management system. This article introduces the general Inventory Adjustment Query API for easily understanding and applying this API.

Introduction

Inventory Adjustment Query API allows user to retrieve details about any changes made to inventory, such as corrections to stock levels, transfers between locations , or manual updates to item quantities. It provides visibility into the history of inventory adjustment, helping ensure accurate tracking and reporting of stock.

API Request

API: POST /edi/inventory/adjustment/query Body Request:

Body Parameter

Required

Description

Note

CompanyID

Y

Company ID

"LT"

CustomerID

Y

Customer ID

"AUKINT0001"

FacilityID

Y

Facility ID

"889"

ItemSpecName

N

Item ID

"ATVP-MP-001"

AdjustmentTypes

N

Adjustment Type Array

[<br/> "Adjust LP",<br/> "Adjust QTY",<br/> "Adjust Status"<br/> ]

AdjustmentIds

N

Adjustment Id Array

[<br/> "ADJUST-A"<br/> "ADJUST-B"<br/> ]

AdjustmentReasons

N

Adjustment Reason Array

[<br/> "Cycle Count"<br/> ]

AdjustmentDateTimeFrom

N

Adjustment Date From

2022-02-21T01:00:00Z

AdjustmentDateTimeTo

N

Adjustment Date To

2022-02-22T01:00:00Z

Paging

N

Page Object

"PageNo": 2

API Return

It returns the inventory adjustment list, for more detail, please refer to the following example.

Example

Request

Response

json //Success return { "results": { "head": [ "Adjust ID", "Item ID", "Short Description", "Description", "UOM", "LP", "STATUS", "Title", "LOT NO", "SN", "Adjust Type", "Adjust QTY", "Reason", "Notes", "Date & Time", "Adjusted By" ], "data": [] }, "paging": { "totalCount": 0, "pageNo": 1, "totalPage": 0, "startIndex": 1, "endIndex": 0, "limit": 2 } }